<?php
session_start();
// Apabila user belum login
if (empty($_SESSION['namauser']) AND empty($_SESSION['passuser'])){
  echo "<link href=\"../../css/style_login.css\" rel=\"stylesheet\" type=\"text/css\" />
        <div id=\"login\"><h1 class=\"fail\">Untuk mengakses modul, Anda harus login dulu.</h1>
        <p class=\"fail\"><a href=\"../../index.php\">LOGIN</a></p></div>";  
}
// Apabila user sudah login dengan benar, maka terbentuklah session
else{
  include "../../../config/koneksi.php";
  include "../../../config/library.php";
  include "../../../config/fungsi_seo.php";
  include "../../../config/fungsi_thumbnail.php";

  $module = $_GET['module'];
  $act    = $_GET['act'];

  // Hapus halaman statis
  if ($module=='halamanstatis' AND $act=='hapus'){
    $query = "SELECT gambar FROM halamanstatis WHERE id_halaman='$_GET[id]'";
    $hapus = mysqli_query($konek, $query);
    $r     = mysqli_fetch_array($hapus);
    
    if ($r['gambar']!=''){
      $namafile = $r['gambar'];
      
      // hapus filenya
      unlink("../../../foto_banner/$namafile");   
      unlink("../../../foto_banner/small_$namafile");   

      // hapus data banner di database 
      mysqli_query($konek, "DELETE FROM halamanstatis WHERE id_halaman='$_GET[id]'");      
    }
    else{
      mysqli_query($konek, "DELETE FROM halamanstatis WHERE id_halaman='$_GET[id]'");      
    }
    header("location:../../media.php?module=".$module);
  }

  // Input halaman statis
  elseif ($module=='halamanstatis' AND $act=='input'){

    
    $judul       = addslashes($_POST['judul']);
    $judul_seo   = seo_title($_POST['judul']);
    $isi_halaman = addslashes($_POST['isi_halaman']);



 $rand = rand();
$ekstensi =  array('png','jpg','jpeg','gif','webp');
$filename = $_FILES['foto']['name'];
$ukuran = $_FILES['foto']['size'];
$ext = pathinfo($filename, PATHINFO_EXTENSION);



 if (empty($filename)){
     mysqli_query($konek, "INSERT INTO halamanstatis(judul, 
                                            judul_seo, 
                                            isi_halaman,
                                            tanggal, 
                                            gambar) 
                                    VALUES('$judul', 
                                           '$judul_seo', 
                                           '$isi_halaman',
                                           '$tgl_sekarang',
                                           '$xx')");
    header("location:../../media.php?module=".$module);
    }
      // Apabila ada gambar yang di upload
    else{

 
 
if(!in_array($ext,$ekstensi) ) {
  header("location:index.php?alert=gagal_ekstensi");
}else{
  if($ukuran < 1044070){    
    $xx = $rand.'_'.$filename;
    $folder = "../../../foto_banner/";
    move_uploaded_file($_FILES['foto']['tmp_name'], $folder.$rand.'_'.$filename);
    mysqli_query($konek, "INSERT INTO halamanstatis(judul, 
                                            judul_seo, 
                                            isi_halaman,
                                            tanggal, 
                                            gambar) 
                                    VALUES('$judul', 
                                           '$judul_seo', 
                                           '$isi_halaman',
                                           '$tgl_sekarang',
                                           '$xx')");
    header("location:../../media.php?module=".$module);
  }else{
     echo "<script>window.alert('Upload Gagal! Ukuran Terlalu Besar');
              window.location=('../../media.php?module=album)</script>";
  }
}


}


  }


  // Update halaman statis
  elseif ($module=='halamanstatis' AND $act=='update'){
  
     
    $id          = $_POST['id'];    
    $judul       = addslashes($_POST['judul']);
    $judul_seo   = seo_title($_POST['judul']);
    $isi_halaman = addslashes($_POST['isi_halaman']);
    $fotoku           = $_POST['fotoku'];




$rand = rand();
$ekstensi =  array('png','jpg','jpeg','gif','webp');
$filename = $_FILES['foto']['name'];
$ukuran = $_FILES['foto']['size'];
$ext = pathinfo($filename, PATHINFO_EXTENSION);


    // Apabila gambar tidak diganti
    if (empty($filename)){
      mysqli_query($konek, "UPDATE halamanstatis SET judul       = '$judul',
                                            judul_seo   = '$judul_seo', 
                                            isi_halaman = '$isi_halaman'
                                      WHERE id_halaman  = '$id'");
    header("location:../../media.php?module=".$module);
    }
    else{

       $namafile = $fotoku;
      
      // hapus filenya
      unlink("../../../foto_banner/$namafile");   
      unlink("../../../foto_banner/small_$namafile");
        

if(!in_array($ext,$ekstensi) ) {
  header("location:index.php?alert=gagal_ekstensi");
}else{
  if($ukuran < 1044070){    
    $xx = $rand.'_'.$filename;
    $folder = "../../../foto_banner/";
    move_uploaded_file($_FILES['foto']['tmp_name'], $folder.$rand.'_'.$filename);
    mysqli_query($konek, "UPDATE halamanstatis SET judul       = '$judul',
                                            judul_seo   = '$judul_seo', 
                                            isi_halaman = '$isi_halaman',
                                            gambar      = '$xx'
                                      WHERE id_halaman  = '$id'");
    header("location:../../media.php?module=".$module);
  }else{
     echo "<script>window.alert('Upload Gagal! Ukuran Terlalu Besar');
              window.location=('../../media.php?module=album)</script>";
  }
} 

   
   
    }
  }
}
?>
